data:extend({
	{
		type = "wall",
		name = "electric-wall",
		icon = "__ElectricWalls__/graphics/icons/electric-wall.png",
		flags = {"placeable-neutral", "player-creation"},
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		minable = {mining_time = 1, result = "electric-wall"},
		fast_replaceable_group = "wall",
		max_health = 400,
		repair_speed_modifier = 2,
		corpse = "wall-remnants",
		repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg"},
		mined_sound = {filename = "__base__/sound/deconstruct-bricks.ogg"},
		attack_reaction =
		{
			{
				range = 2,
				damage_type = "physical",
				action =
				{
					type = "direct",
					action_delivery =
					{
						type = "instant",
						target_effects =
						{
							type = "damage",
							damage = {amount = 5, type = "laser"}
						}
					}
				}
			}
		},
		resistances =
		{
			{
				type = "physical",
				decrease = 3,
				percent = 20
			},
			{
				type = "impact",
				decrease = 45,
				percent = 60
			},
			{
				type = "explosion",
				decrease = 10,
				percent = 30
			},
			{
				type = "fire",
				percent = 100
			},
			{
				type = "laser",
				percent = 70
			}
		},
		pictures =
		{
			single =
			{
				layers = 
				{
					{
						filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-single.png",
						priority = "extra-high",
						width = 22,
						height = 62,
						shift = {0, 0}
					},
					{
						filename = "__base__/graphics/entity/stone-wall/wall-single-shadow.png",
						priority = "extra-high",
						width = 47,
						height = 32,
						shift = {0.359375, 0.5},
						draw_as_shadow = true
					}
				}
			},
			straight_vertical =
			{
				{
					layers =
					{
						{
							filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-straight-vertical-1.png",
							priority = "extra-high",
							width = 22,
							height = 52,
							shift = {0, -0.15625}
						},
						{
							filename = "__base__/graphics/entity/stone-wall/wall-straight-vertical-shadow.png",
							priority = "extra-high",
							width = 47,
							height = 60,
							shift = {0.390625, 0.625},
							draw_as_shadow = true
						}
					}
				},
				{
					layers =
					{
						{
							filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-straight-vertical-2.png",
							priority = "extra-high",
							width = 22,
							height = 52,
							shift = {0, -0.15625}
						},
						{
							filename = "__base__/graphics/entity/stone-wall/wall-straight-vertical-shadow.png",
							priority = "extra-high",
							width = 47,
							height = 60,
							shift = {0.390625, 0.625},
							draw_as_shadow = true
						}
					}
				},
				{
					layers =
					{
						{
							filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-straight-vertical-3.png",
							priority = "extra-high",
							width = 22,
							height = 52,
							shift = {0, -0.15625}
						},
						{
							filename = "__base__/graphics/entity/stone-wall/wall-straight-vertical-shadow.png",
							priority = "extra-high",
							width = 47,
							height = 60,
							shift = {0.390625, 0.625},
							draw_as_shadow = true
						}
					}
				}
			},
			straight_horizontal =
			{
				{
					layers =
					{
						{
							filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-straight-horizontal-1.png",
							priority = "extra-high",
							width = 32,
							height = 62,
							shift = {0, 0.06}
						},
						{
							filename = "__base__/graphics/entity/stone-wall/wall-straight-horizontal-shadow.png",
							priority = "extra-high",
							width = 59,
							height = 32,
							shift = {0.421875, 0.5},
							draw_as_shadow = true
						}
					}
				},
				{
					layers =
					{
						{
							filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-straight-horizontal-2.png",
							priority = "extra-high",
							width = 32,
							height = 52,
							shift = {0, -0.15625}
						},
						{
							filename = "__base__/graphics/entity/stone-wall/wall-straight-horizontal-shadow.png",
							priority = "extra-high",
							width = 59,
							height = 32,
							shift = {0.421875, 0.5},
							draw_as_shadow = true
						}
					}
				},
				{
					layers =
					{
						{
							filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-straight-horizontal-3.png",
							priority = "extra-high",
							width = 32,
							height = 52,
							shift = {0, -0.15625}
						},
						{
							filename = "__base__/graphics/entity/stone-wall/wall-straight-horizontal-shadow.png",
							priority = "extra-high",
							width = 59,
							height = 32,
							shift = {0.421875, 0.5},
							draw_as_shadow = true
						}
					}
				}
			},
			corner_right_down =
			{
				layers =
				{
					{
						filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-corner-right-down.png",
						priority = "extra-high",
						width = 27,
						height = 52,
						shift = {0.078125, -0.15625}
					},
					{
						filename = "__base__/graphics/entity/stone-wall/wall-corner-right-down-shadow.png",
						priority = "extra-high",
						width = 53,
						height = 61,
						shift = {0.484375, 0.640625},
						draw_as_shadow = true
					}
				}
			},
			corner_left_down =
			{
				layers =
				{
					{
						filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-corner-left-down.png",
						priority = "extra-high",
						width = 27,
						height = 52,
						shift = {-0.078125, -0.15625}
					},
					{
						filename = "__base__/graphics/entity/stone-wall/wall-corner-left-down-shadow.png",
						priority = "extra-high",
						width = 53,
						height = 60,
						shift = {0.328125, 0.640625},
						draw_as_shadow = true
					}
				}
			},
			t_up =
			{
				layers =
				{
					{
						filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-t-down.png",
						priority = "extra-high",
						width = 32,
						height = 52,
						shift = {0, -0.15625}
					},
					{
						filename = "__base__/graphics/entity/stone-wall/wall-t-down-shadow.png",
						priority = "extra-high",
						width = 71,
						height = 61,
						shift = {0.546875, 0.640625},
						draw_as_shadow = true
					}
				}
			},
			ending_right =
			{
				layers =
				{
					{
						filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-ending-right.png",
						priority = "extra-high",
						width = 27,
						height = 62,
						shift = {0.078125, 0}
					},
					{
						filename = "__base__/graphics/entity/stone-wall/wall-ending-right-shadow.png",
						priority = "extra-high",
						width = 53,
						height = 32,
						shift = {0.484375, 0.5},
						draw_as_shadow = true
					}
				}
			},
			ending_left =
			{
				layers =
				{
					{
						filename = "__ElectricWalls__/graphics/entity/electric-wall/wall-ending-left.png",
						priority = "extra-high",
						width = 27,
						height = 62,
						shift = {-0.078125, 0}
					},
					{
						filename = "__base__/graphics/entity/stone-wall/wall-ending-left-shadow.png",
						priority = "extra-high",
						width = 53,
						height = 32,
						shift = {0.328125, 0.5},
						draw_as_shadow = true
					}
				}
			}
		}
	}
})